/v1/workspaces/{workspace_id}/configs/{config_id}/settingsAuthList settings
The config's feature flags and settings, in `ordinal` order, with filters.
Path parameters
config_id*string · uuidId of the config.
workspace_id*string · uuidId of the workspace.
Query parameters
cursorstringOpaque cursor for pagination: the `next_cursor` of the previous page.
limitintegerPage size.
tagstringOnly settings with this tag.
typeenum (5)Only settings of this type.
qstringCase-insensitive substring of the key or name.
lifecycleenum (2)Only settings with this lifecycle.
owner_idstring · uuidOnly settings owned by this user.
Response · 200 A page of settings.
data*arraySettings, in `ordinal` order.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/configs/{config_id}/settings
Authorization: Bearer YOUR_TOKENResponse
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"project_id": "00000000-0000-0000-0000-000000000000",
"config_id": "00000000-0000-0000-0000-000000000000",
"key": "new_checkout",
"name": "New checkout",
"description": "",
"hint": "",
"type": "boolean",
"tags": [
"checkout"
],
"lifecycle": "temporary",
"owner_id": "00000000-0000-0000-0000-000000000000",
"seed": "new_checkout",
"ordinal": 0,
"created_by": "string",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}